Bug 996093 - Docs: indentation in code examples corrupted
Docs: indentation in code examples corrupted
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.0.0
Assigned To: Douglas Hoffman
Lukáš Petrovický
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 07:51 EDT by Geoffrey De Smet
Modified: 2014-10-26 16:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-12 07:51:18 EDT
The community docs have XML code examples with correct indentation:

"If you use Maven, just add a dependency to optaplanner-core in your project's pom.xml:
(4 spaces)    <dependency>
(6 spaces)      <groupId>org.optaplanner</groupId>"


http://docs.jboss.org/drools/release/6.0.0.CR1/optaplanner-docs/html_single/index.html#useWithMavenGradleEtc


However, the productized docs have XML code examples with corrupted indentation:

"If you use Maven, add a dependency to drools-planner-core in your project's pom.xml:
(1 spaces) <dependency>
(6 spaces)      <groupId>org.drools.planner</groupId>"

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_BRMS/6-Beta/html/Business_Resource_Planner_Guide/Run_the_Examples.html


Wrong indentation makes the content harder to understand
and it is harder to copy-paste.
Comment 2 lcarlon 2013-08-12 21:42:12 EDT
Hi Geoffrey,

Thanks for reporting. This appears to be an issues with a tab/space conversion in the tool we're using. Will correct and investigate.

Assigning to Doug.

Thanks
Comment 4 Marek Winkler 2014-01-16 06:30:58 EST
Verified that the indentation in the example is correct.

Note You need to log in before you can comment on or make changes to this bug.